apiProposeListingEdit
MutationClé requiseShop API: proposes content changes on an own live product; a moderator accepts them. Price and stock go through apiUpsertOffers / apiDeclareStocks.
Arguments
| Nom | Type | Description |
|---|---|---|
| idempotencyKey | String! | requis |
| input | ApiListingInput! | requis |
Retourne
Exemple
mutation ApiProposeListingEdit($idempotencyKey: String!, $input: ApiListingInput!) {
apiProposeListingEdit(idempotencyKey: $idempotencyKey, input: $input) {
availableQty
buyBox
draftId
mediaState
missingFields
moderationNotes {
code
field
message
}
offerId
priceMillimes
productId
sku
state
updatedAt
variantId
wamiaSku
}
}curl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"mutation ApiProposeListingEdit($idempotencyKey: String!, $input: ApiListingInput!) { apiProposeListingEdit(idempotencyKey: $idempotencyKey, input: $input) { availableQty buyBox draftId mediaState missingFields moderationNotes { code field message } offerId priceMillimes productId sku state updatedAt variantId wamiaSku } }"}'